/*
  Name: conversionImageImageIpl.hpp
  Author: Marc Chaumont
  Date: 11/06/05 17:08
  Description: Permet de faire de convertion entre image et imageIpl
*/

#ifndef CONVERSIONIMAGEIMAGEIPL_HPP
#define CONVERSIONIMAGEIMAGEIPL_HPP

//Pour les images
#include "image.H"
#include "imageio.H"

//OpenCV
#include "cv.h"  // include core library interface

class ConversionImageImageIpl {
public:
    
  //Convertit Image -> IplImage
  static void convertImageToIplImage(const Image<double>& image, IplImage** imageIpl);
  static void convertImageToIplImage(const Image<RGB>& image, IplImage** imageIpl);
  
  //Convertit IplImage -> Image
  static void convertIplImageToImage(const IplImage* imageIpl, Image<double>& image);
  //static void convertIplImageToImage_ShallowSetBuff(const IplImage* imageIpl, Image<double>& image);
  static void convertIplImageToImage(const IplImage* imageIpl, Image<RGB>& image);
};    
#endif //CONVERSIONIMAGEIMAGEIPL_HPP

